RelayAPI

Create a binding for a social account

POST
/v1/automation-bindings
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_). Invite redemption also accepts a server-derived rlay_session_ bearer for a current user session.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/automation-bindings" \  -H "Content-Type: application/json" \  -d '{    "automation_id": "string",    "binding_type": "default_reply",    "channel": "instagram",    "social_account_id": "string"  }'
{  "automation_id": "string",  "binding_type": "default_reply",  "channel": "instagram",  "config": {    "property1": null,    "property2": null  },  "created_at": "string",  "delete_after_sync": true,  "desired_active": true,  "id": "string",  "last_synced_at": "string",  "last_synced_revision": 0,  "organization_id": "string",  "social_account": {    "avatar_url": "string",    "display_name": "string",    "handle": "string",    "id": "string"  },  "social_account_id": "string",  "status": "string",  "sync_attempts": 0,  "sync_error": "string",  "sync_revision": 0,  "updated_at": "string",  "workspace_id": "string"}

Found something wrong? Help us improve this page.